ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader

"test script"

Author Message
kandieman101



Joined: 05 Mar 2006
Posts: 9

PostPosted: Sun Mar 26, 2006 5:42 pm    Post subject: "test script" Reply with quote

I know plenty of software out there has a test script available to make sure you meet the minimum system requirements, and looking at the code, many of them use that ic_system_info() function.

I noticed that there is no checking of loader version. With Encoder 6.5, loaders v3.1+ are required so I was wondering how I could check for this, and even if they have loaders, tell them they need to upgrade?
Back to top
View user's profile Send private message
electric



Joined: 10 Apr 2006
Posts: 27

PostPosted: Mon Apr 10, 2006 2:38 am    Post subject: Reply with quote

Where you able to get an answer to this question? I am also looking for something to test what version of encoder they have installed.. because many of our users are having problems since we upgraded to the new 6.5 version.

Confused

Thanks!
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2788

PostPosted: Mon Apr 10, 2006 2:47 am    Post subject: Reply with quote

There are functions ioncbue_loader_version() and more recently also ioncube_loader_iversion(). See the User Guide PDF for more details of those functions.
_________________
Community Admin
Back to top
View user's profile Send private message
electric



Joined: 10 Apr 2006
Posts: 27

PostPosted: Mon Apr 10, 2006 2:49 am    Post subject: Reply with quote

nick wrote:
There are functions ioncbue_loader_version() and more recently also ioncube_loader_iversion(). See the User Guide PDF for more details of those functions.


Thanks Nick. I see them there.. it's just that my weak coding skills are barely enough to get my own application working... I was hoping someone might want to share a test script that they've already written. No point reinventing the wheel unless necessary.

It would be great if ioncube shipped with a sample "run this to test" script for us. Smile

heh.

Cool
Back to top
View user's profile Send private message
Joris Vincken



Joined: 24 Apr 2006
Posts: 17

PostPosted: Wed May 03, 2006 9:22 am    Post subject: Reply with quote

I am writing a small test installer. The only thing I run into is the message that the files are corrupted if older loaders have been installed on the server.

I've searched this forum and the manual but could not find how to encode for older loaders. I've switched off all the Obfuscation options but still get this error:
The file /***/saarun_servertest/index2.php is corrupted.

Anybody has any ideas?

Joris
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2788

PostPosted: Wed May 03, 2006 9:28 am    Post subject: Reply with quote

You will get this with < 3.0 Loaders, and with 3.0 you'll get a message saying that files cannot be processed by that Loader version.
_________________
Community Admin
Back to top
View user's profile Send private message
Joris Vincken



Joined: 24 Apr 2006
Posts: 17

PostPosted: Wed May 03, 2006 10:08 am    Post subject: Reply with quote

Is there no workaround? It is only for testing the loader version, so security is not the biggest issue.
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2788

PostPosted: Wed May 03, 2006 10:20 am    Post subject: Reply with quote

You could encode it with the online Encoder as this is not yet using the Encoder 6.5 engine, or you could just not encode the script at all, and that may be the better approach as you can handle cases where the Loader isn't installed yet. Once a Loader is installed, you can call ioncube_loader_version(), and in 3.1, there is also ioncube_loader_iversion() to obtain the Loader version.
_________________
Community Admin
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum